%define common_version 1.2.0
%define tcl_version 8.0.3ucl7
%define tk_version 8.0.3ucl7

Name: sdr
Summary: Session Directory for MBONE multicasting applications
Version: 3.0
Release: 1
Group: Applications/Internet
Copyright: Distributable
Packager: Pekka Savola <psavola@csc.fi>
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/sdr/
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/%{name}/%{version}/%{name}-%{version}.tar.gz 
Source1: http://www-mice.cs.ucl.ac.uk/multimedia/software/common/common-%{common_version}.tar.gz 
Source2: http://www-mice.cs.ucl.ac.uk/multimedia/software/tcl/tcl-%{tcl_version}.tar.gz 
Source3: http://www-mice.cs.ucl.ac.uk/multimedia/software/tk/tk-%{tk_version}.tar.gz 
# Patch0  can be used if the OS has tcl80 installed.
Patch0: sdr-2.9-compile-tclsystem.patch
Patch1: sdr-2.9-compile-tcl80ucl.patch
Patch2: sdr-2.9-common-pton.patch
Patch3: common-time.patch
BuildRoot: /var/tmp/%{name}-root
ExclusiveArch: i386
%description
SDR is a session directory tool designed to allow the advertisement
and joining of multicast conferences on the Mbone.  It was originally
modelled on sd written by Van Jacobson at LBNL, but implements a
later version of the session description protocol than sd does. 

%prep
%setup -q -n sdr -b 1 -b 2 -b 3

%patch1 -p0
cd ..
%patch2 -p0
%patch3 -p0

%build
cd ../common
autoconf
%configure
make

cd ../tcl-8.0/unix
autoconf
%configure 
make

cd ../../tk-8.0/unix
autoconf
%configure
make

cd ../../sdr/linux
./configure --enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/etc/sdr/plugins

cp -p linux/sdr $RPM_BUILD_ROOT%{_prefix}/bin
cp -p src/plugins/* $RPM_BUILD_ROOT/etc/sdr/plugins/
rm -f $RPM_BUILD_ROOT/etc/sdr/plugins/index.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/BUGS src/CHANGES src/readme src/VERSION src/html/*.html src/sdr.README
%{_prefix}/bin/sdr
/etc/sdr/plugins/*

%changelog
* Thu Feb 22 2001 Tim Powers <timp@redhat.com>
- updated to 3.0. Applied changes Pekka suggested in #28809

* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- patched to include sys/time.h and time.h

* Sun Oct 22 2000 Tim Powers <timp@redhat.com> 
- initial build for Powertools

* Sat Oct 21 2000 Pekka Savola <psavola@csc.fi>
- Clean up /etc/sdr/plugins a bit
- Remove those *.ehtml from %doc

* Tue Jun 27 2000 Pekka Savola <psavola@csc.fi>
- Moved plugins from /etc/sdr to /etc/sdr/plugins
- Added tcl/tk 8.0 in the packaging so that this will also build on tcl8.3 systems.

* Mon Jun 26 2000 Pekka Savola <psavola@csc.fi>
- initial build for RH6x (tcl80)
